//=============================================================
//     Numerical Analysis Packages in Java
//     Matrix calculations class Matrix
//     Author : Dr. Turhan Coban
//=============================================================
//Turhan Coban
import java.io.*;
import java.text.*;
import java.util.Locale;

class fnormal extends f_x
{
  double func(double x)
  {
  return Math.exp(-x*x/2);
  }
}

public class stat
{

public static double normal(double x)
{
//bu fonksiyon normal dağılım güven aralığını -100 den +x*sigma aralığında
//hesaplar
fnormal b1;
b1=new fnormal();
double x1=-1000.0;
return   1.0/Math.sqrt(2.0*Math.PI)*adaptive_Gauss_Kronrod_integral.gauss_konrad_integral(b1,x1,x,1e-15,60);
}

public static double ortalama(double x[])
{
//ortalama değerleri hesaplar
int N=x.length;
double tot=0;
for(int i=0;i<N;i++)
  tot+=x[i];
return tot/N;  
}

public static double s(double x[])
{
//standart sapma değerlerini hesaplar
double xort=ortalama(x);
int N=x.length;
double tot=0;
double xi=0;
for(int i=0;i<N;i++)
{
  xi=x[i]-xort;
  tot+=xi*xi;
}
return Math.sqrt(tot/(N-1));  
}

public static double sx(double x[])
{
// s/sqrt(N) kesinlik indeksi değerini hesaplar
return s(x)/Math.sqrt(x.length);
}



}











